require "bundler/setup"
require "permalinkable"

ActiveRecord::Base
  .establish_connection(adapter: "sqlite3", database: ":memory:")

load("support/schema.rb")
require "support/user"
require "support/entry"

Permalinkable::Configure.configure do |config|
  config.secret = SecureRandom.urlsafe_base64(9, false)
end

I18n.enforce_available_locales = false